Class GroupsRequestBuilder
- Assembly
- Keycloak.AuthServices.Sdk.Kiota.dll
Builds and executes requests for operations under \admin\realms{realm}\groups
public class GroupsRequestBuilder : BaseRequestBuilder
- Inheritance
-
BaseRequestBuilderGroupsRequestBuilder
- Inherited Members
-
BaseRequestBuilder.PathParametersBaseRequestBuilder.RequestAdapterBaseRequestBuilder.UrlTemplate
Constructors
GroupsRequestBuilder(Dictionary<string, object>, IRequestAdapter)
Instantiates a new GroupsRequestBuilder and sets the default values.
public GroupsRequestBuilder(Dictionary<string, object> pathParameters, IRequestAdapter requestAdapter)
Parameters
pathParametersDictionary<string, object>Path parameters for the request
requestAdapterIRequestAdapterThe request adapter to use to execute the requests.
GroupsRequestBuilder(string, IRequestAdapter)
Instantiates a new GroupsRequestBuilder and sets the default values.
public GroupsRequestBuilder(string rawUrl, IRequestAdapter requestAdapter)
Parameters
rawUrlstringThe raw URL to use for the request builder.
requestAdapterIRequestAdapterThe request adapter to use to execute the requests.
Properties
Count
The count property
public CountRequestBuilder Count { get; }
Property Value
this[string]
Gets an item from the Keycloak.AuthServices.Sdk.Kiota.Admin.admin.realms.item.groups.item collection
public GroupItemRequestBuilder this[string position] { get; }
Parameters
positionstringUnique identifier of the item
Property Value
Methods
GetAsync(Action<RequestConfiguration<GroupsRequestBuilderGetQueryParameters>>?, CancellationToken)
Get group hierarchy. Only name and id are returned. subGroups are only returned when using the search or q parameter. If none of these parameters is provided, the top-level groups are returned without subGroups being filled.
public Task<List<GroupRepresentation>?> GetAsync(Action<RequestConfiguration<GroupsRequestBuilder.GroupsRequestBuilderGetQueryParameters>>? requestConfiguration = null, CancellationToken cancellationToken = default)
Parameters
requestConfigurationAction<RequestConfiguration<GroupsRequestBuilder.GroupsRequestBuilderGetQueryParameters>>Configuration for the request such as headers, query parameters, and middleware options.
cancellationTokenCancellationTokenCancellation token to use when cancelling requests
Returns
- Task<List<GroupRepresentation>>
A List<global::Keycloak.AuthServices.Sdk.Kiota.Admin.Models.GroupRepresentation>
PostAsync(GroupRepresentation, Action<RequestConfiguration<DefaultQueryParameters>>?, CancellationToken)
This will update the group and set the parent if it exists. Create it and set the parent if the group doesn’t exist.
public Task PostAsync(GroupRepresentation body, Action<RequestConfiguration<DefaultQueryParameters>>? requestConfiguration = null, CancellationToken cancellationToken = default)
Parameters
bodyGroupRepresentationThe request body
requestConfigurationAction<RequestConfiguration<DefaultQueryParameters>>Configuration for the request such as headers, query parameters, and middleware options.
cancellationTokenCancellationTokenCancellation token to use when cancelling requests
Returns
ToGetRequestInformation(Action<RequestConfiguration<GroupsRequestBuilderGetQueryParameters>>?)
Get group hierarchy. Only name and id are returned. subGroups are only returned when using the search or q parameter. If none of these parameters is provided, the top-level groups are returned without subGroups being filled.
public RequestInformation ToGetRequestInformation(Action<RequestConfiguration<GroupsRequestBuilder.GroupsRequestBuilderGetQueryParameters>>? requestConfiguration = null)
Parameters
requestConfigurationAction<RequestConfiguration<GroupsRequestBuilder.GroupsRequestBuilderGetQueryParameters>>Configuration for the request such as headers, query parameters, and middleware options.
Returns
- RequestInformation
A Microsoft.Kiota.Abstractions.RequestInformation
ToPostRequestInformation(GroupRepresentation, Action<RequestConfiguration<DefaultQueryParameters>>?)
This will update the group and set the parent if it exists. Create it and set the parent if the group doesn’t exist.
public RequestInformation ToPostRequestInformation(GroupRepresentation body, Action<RequestConfiguration<DefaultQueryParameters>>? requestConfiguration = null)
Parameters
bodyGroupRepresentationThe request body
requestConfigurationAction<RequestConfiguration<DefaultQueryParameters>>Configuration for the request such as headers, query parameters, and middleware options.
Returns
- RequestInformation
A Microsoft.Kiota.Abstractions.RequestInformation
WithUrl(string)
Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
public GroupsRequestBuilder WithUrl(string rawUrl)
Parameters
rawUrlstringThe raw URL to use for the request builder.